# DelayEmbeddings.jl

[![](https://img.shields.io/badge/docs-dev-lightblue.svg)](https://JuliaDynamics.github.io/DelayEmbeddings.jl/dev)
[![](https://img.shields.io/badge/docs-stable-blue.svg)](https://JuliaDynamics.github.io/DelayEmbeddings.jl/stable)
[![](https://img.shields.io/badge/DOI-10.1007%2F978--3--030--91032--7-purple)](https://link.springer.com/book/10.1007/978-3-030-91032-7)
[![CI](https://github.com/JuliaDynamics/DelayEmbeddings.jl/workflows/CI/badge.svg)](https://github.com/JuliaDynamics/DelayEmbeddings.jl/actions?query=workflow%3ACI)
[![codecov](https://codecov.io/gh/JuliaDynamics/DelayEmbeddings.jl/branch/main/graph/badge.svg)](https://codecov.io/gh/JuliaDynamics/DelayEmbeddings.jl)
[![Package Downloads](https://shields.io/endpoint?url=https://pkgs.genieframework.com/api/v1/badge/DelayEmbeddings)](https://pkgs.genieframework.com?packages=DelayEmbeddings)

A Julia package that provides a generic interface for performing delay coordinate embeddings, as well as cutting edge algorithms for creating optimal embeddings given some data.
It can be used as a standalone package, or as part of
[DynamicalSystems.jl](https://juliadynamics.github.io/DynamicalSystems.jl/dev/).

To install it, run `import Pkg; Pkg.add("DelayEmbeddings")`.

All further information is provided in the documentation, which you can either find [online](https://juliadynamics.github.io/DelayEmbeddings.jl/stable/) or build locally by running the `docs/make.jl` file.
